%global momorel 11
%global scim_ver 1.4.9
%global scim_major_version 1.4.0

Summary: FCITX Input Method Engine for SCIM
Name: scim-fcitx
Version: 3.1.1
Release: %{momorel}m%{?dist}
License: GPLv2
URL: http://www.scim-im.org/projects/imengines/
Group: Applications/System
Source0: http://dl.sourceforge.net/sourceforge/scim/%{name}.%{version}.tar.bz2
NoSource: 0

Patch0: scim-fcitx-3.1.1-gcc43.patch
Patch1: scim-fcitx-3.1.1-gcc47.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: scim >= %{scim_ver}
BuildRequires: scim-devel >= %{scim_ver}
BuildRequires: coreutils

%description
scim-fcitx is a port of the fcitx Chinese input method for the SCIM input
method platform.  It provides Wubi, Erbi, Cangjie, and Pinyin styles of input.


%package tools
Summary:    Fcitx tables tools
Group:      Development/Libraries

%description tools
This package contains input table tools from fcitx.


%prep
%setup -q -n fcitx

%patch0 -p1 -b .gcc43~
%patch1 -p1 -b .gcc47~


%build
%configure --disable-static

# make -j2 doesn't work (3.1.1-1m)
# %%make
make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# get rid of la file
find %{buildroot} -name "*.la" -delete

# Avoid conflicts with fcitx
pushd ${RPM_BUILD_ROOT}/%{_bindir}/
  mv createPYMB createPYMB3
  mv mb2txt mb2txt3
  mv txt2mb txt2mb3
popd

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README THANKS
#%{_bindir}/createPYMB
#%{_bindir}/mb2txt
#%{_bindir}/txt2mb
%{_libdir}/scim-1.0/%{scim_major_version}/IMEngine/fcitx.so
%{_datadir}/scim/fcitx
%{_datadir}/scim/icons/fcitx


%files tools
%defattr(-, root, root)
%{_bindir}/*


%changelog
* Sun Feb  4 2018 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.1.1-11m)
- build against fcitx-4.2.9.4-1m by renaming conflicting files

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.1.1-10m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.1.1-9m)
- rebuild for new GCC 4.5

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (3.1.1-8m)
- full rebuild for mo7 release

* Fri Apr 23 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.1.1-7m)
- touch up spec file

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.1.1-6m)
- rebuild against gcc-4.4 and glibc-2.11

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.1.1-5m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.1.1-4m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (3.1.1-3m)
- %%NoSource -> NoSource

* Sun Jan 13 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.1.1-2m)
- add patch for gcc43, generated by gen43patch(v1)

* Wed Apr 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.1.1-1m)
- initial package for Momonga Linux
